commit f4ce0980daac25eadfdbe7f4169ae02284430fa5
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sun Aug 18 02:21:22 2024

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 966546e94fe..7ad5949db06 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,13 @@
+2024-08-17  Georg-Johann Lay  <avr@gjlay.de>
+
+	Backported from master:
+	2024-08-17  Georg-Johann Lay  <avr@gjlay.de>
+
+	PR target/116390
+	* config/avr/avr.cc (avr_out_movsi_mr_r_reg_disp_tiny): Fix
+	output templates for the reg_base == reg_src and
+	reg_src == reg_base - 2 cases.
+
 2024-08-16  Georg-Johann Lay  <avr@gjlay.de>
 
 	PR target/85624
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 720f32939ba..5e34934c797 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20240817
+20240818
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 2ed68f979f0..0ddafb8ae54 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2024-08-17  Georg-Johann Lay  <avr@gjlay.de>
+
+	Backported from master:
+	2024-08-17  Georg-Johann Lay  <avr@gjlay.de>
+
+	PR target/116390
+	* gcc.target/avr/torture/pr116390.c: New test.
+
 2024-08-16  Georg-Johann Lay  <avr@gjlay.de>
 
 	* gcc.target/avr/torture/pr85624.c: New test.

